Skip to main content
GET
/
v1
/
products
List all active products
curl --request GET \
  --url https://api.ongoody.com/v1/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "050a8af5-9091-4995-aae2-61d3f3128ba1",
      "name": "Six Cookies",
      "brand": {
        "id": "a2860f12-b93c-4327-9914-8de38bf3aff9",
        "name": "Dennis Jacobs",
        "logo_image": null,
        "shipping_price": 1000,
        "free_shipping_minimum": null,
        "brand_values": [
          "Sustainable"
        ]
      },
      "subtitle": null,
      "subtitle_short": null,
      "recipient_description": "",
      "variants_label": "option",
      "variants_num_selectable": 3,
      "variants": [
        {
          "id": "e0eb69be-5870-4188-9066-30f857391343",
          "name": "Chocolate Chip",
          "subtitle": "Classic chocolate chip.",
          "image_large": null
        },
        {
          "id": "c69a0e74-5f91-4ce4-8ad1-6ee9d27e208f",
          "name": "Oatmeal",
          "subtitle": "Delicious oatmeal.",
          "image_large": null
        },
        {
          "id": "842463ee-e821-42f8-9b6f-87b05d950d40",
          "name": "Sugar",
          "subtitle": "Tasty sugar.",
          "image_large": null
        }
      ],
      "variant_groups": [],
      "images": [],
      "price": 1000,
      "price_is_variable": false,
      "restricted_states": [],
      "attributes": [
        {
          "label": "Where it's made",
          "content": "Made in Miami, FL"
        }
      ],
      "updated_at": "2026-03-26T17:03:23Z",
      "status": "active"
    },
    {
      "id": "1a6a597f-ea4a-41c9-8801-fa68063ecbf4",
      "name": "Cookie Box",
      "brand": {
        "id": "a2860f12-b93c-4327-9914-8de38bf3aff9",
        "name": "Dennis Jacobs",
        "logo_image": null,
        "shipping_price": 1000,
        "free_shipping_minimum": null,
        "brand_values": [
          "Sustainable"
        ]
      },
      "subtitle": null,
      "subtitle_short": null,
      "recipient_description": "",
      "variants_label": "option",
      "variants_num_selectable": 1,
      "variants": [
        {
          "id": "eb36bb39-88d0-4edc-94b9-e35e052751bd",
          "name": "Grey / Chocolate Chip",
          "subtitle": null,
          "image_large": null
        },
        {
          "id": "83fad199-16e0-4a41-a065-48e8c5d5ea04",
          "name": "Grey / Oatmeal",
          "subtitle": null,
          "image_large": null
        },
        {
          "id": "c9129301-8695-46c9-a938-4af67035ac47",
          "name": "Grey / Sugar",
          "subtitle": null,
          "image_large": null
        },
        {
          "id": "835dcd8e-bb07-4dba-8545-d57777e10b0d",
          "name": "Purple / Chocolate Chip",
          "subtitle": null,
          "image_large": null
        },
        {
          "id": "aa52d6d8-f4d0-479e-84b9-c34f50b9b1d3",
          "name": "Purple / Oatmeal",
          "subtitle": null,
          "image_large": null
        },
        {
          "id": "e4a8ca2b-85dc-4341-a448-2afd032eb434",
          "name": "Purple / Sugar",
          "subtitle": null,
          "image_large": null
        }
      ],
      "variant_groups": [
        {
          "id": "0297e4b2-e9e9-4edd-b9cd-20c3e269b9e8",
          "name": "Box Color",
          "options": [
            {
              "id": "56745677-fa64-427f-a979-d8eb7fd1ca2c",
              "name": "Grey",
              "subtitle": null,
              "color": null,
              "image_large": null
            },
            {
              "id": "9ddb86ed-e1f0-429e-9977-70ca04f80ed6",
              "name": "Purple",
              "subtitle": null,
              "color": null,
              "image_large": null
            }
          ]
        },
        {
          "id": "cf9e6739-3ff0-449e-9591-81f841f5890c",
          "name": "Flavor",
          "options": [
            {
              "id": "e2f8bbce-f5dc-4535-97a4-9e2a10b968dc",
              "name": "Chocolate Chip",
              "subtitle": null,
              "color": null,
              "image_large": null
            },
            {
              "id": "33c8f949-00dc-4db6-a370-c4c3e0cee4ae",
              "name": "Oatmeal",
              "subtitle": null,
              "color": null,
              "image_large": null
            },
            {
              "id": "7eca04ec-273d-46be-b04a-fd9eb8f17aee",
              "name": "Sugar",
              "subtitle": null,
              "color": null,
              "image_large": null
            }
          ]
        }
      ],
      "images": [],
      "price": 1000,
      "price_is_variable": false,
      "restricted_states": [],
      "attributes": [],
      "updated_at": "2026-03-26T17:03:24Z",
      "status": "active"
    },
    {
      "id": "fa3ffd27-f712-4303-9c8e-aaf449ad09e4",
      "name": "Dozen Cookies",
      "brand": {
        "id": "a2860f12-b93c-4327-9914-8de38bf3aff9",
        "name": "Dennis Jacobs",
        "logo_image": null,
        "shipping_price": 1000,
        "free_shipping_minimum": null,
        "brand_values": [
          "Sustainable"
        ]
      },
      "subtitle": null,
      "subtitle_short": null,
      "recipient_description": "",
      "variants_label": "option",
      "variants_num_selectable": 3,
      "variants": [
        {
          "id": "08eb7dc3-944d-42a2-a6f8-02df6fc9c5b7",
          "name": "Chocolate Chip",
          "subtitle": "Classic chocolate chip.",
          "image_large": null
        },
        {
          "id": "a539c851-3562-4962-a3f3-d4d518ef8120",
          "name": "Oatmeal",
          "subtitle": "Delicious oatmeal.",
          "image_large": null
        },
        {
          "id": "5be63e13-15a4-4c0e-934f-5dde123bc7f0",
          "name": "Sugar",
          "subtitle": "Tasty sugar.",
          "image_large": null
        }
      ],
      "variant_groups": [],
      "images": [],
      "price": 1000,
      "price_is_variable": false,
      "restricted_states": [],
      "attributes": [],
      "updated_at": "2026-03-26T17:03:23Z",
      "status": "active"
    }
  ],
  "list_meta": {
    "total_count": 3
  }
}

Authorizations

Authorization
string
header
required

Your Goody API key.

Query Parameters

page
integer
default:1

Page for pagination, starting at 1

Required range: x >= 1
per_page
integer
default:20

Items per page for pagination

Required range: 1 <= x <= 100
use_custom_catalog
boolean

Limit to custom catalog only (for approved API partners)

country_code
string
default:US

Filter by a specific shipping country code

custom_catalog_show_inactive
boolean

Show inactive products in the custom catalog. Only for Commerce API customers with a custom catalog.

Response

200 - application/json

Products retrieved

data
object[]
list_meta
object